/******************************************************************************
版权所有：	
文件名称：	calculate.h
文件版本：	01.01
创建作者:	   sunxi
创建日期：	2008-08-25
功能说明：	算术计算公式。
其它说明：
修改记录：
*/
#ifndef _CALCULATE_H
#define _CALCULATE_H
							
unsigned long cal_complex_magnitude(long real,long imag);
long   cal_complex_phase(long real,long imag);
long   cal_complex_phase_cos(long real,long imag);
long   cal_q16_multi(long a,long b);
long   cal_multi_divide(long a,long b,long c);
unsigned long cal_multi_divide_unsigned(unsigned long  a,unsigned long b,unsigned long c);
long _cal_asin(long x);
 
int cal_test(void);


#endif
